<ion-content>

  <ion-grid>
    <ion-col size="8">
      <ion-img class="resetPassword" src="../../../assets/imgs/reset-password-icon.png"></ion-img>
    </ion-col>
    <p>Recuperação de Senha?</p>

    <ion-col size="8" sizeSm="6">

      <ion-row class="d-block ion-margin-bottom">
        <ion-label class="d-block" color="primary">
          Entre com o seu login de acesso vinculado à conta para receber instruções e link de recuperação de sua senha.
        </ion-label>
      </ion-row>

      <form [formGroup]="formPasswordRecovery" (ngSubmit)="onSubmit()" method="post">
        <ion-row class="d-block ion-margin-vertical">
          <ion-item class="itemInput">
            <ion-input formControlName="login" type="text" clear-input placeholder="Login"></ion-input>
          </ion-item>
        </ion-row>

        <ion-row class="d-block">
          <ion-button class="ion-margin-top" expand="block" color="primary" type="submit" [disabled]="!formPasswordRecovery.valid">
            <ion-icon name="paper-plane"></ion-icon>
            <ion-label>Enviar</ion-label>
          </ion-button>
        </ion-row>
      </form>


      <ion-row>
        <ion-button class="back" mode="ios" fill="clear" (click)="router.navigate(['/login'])">Voltar</ion-button>
      </ion-row>
    </ion-col>
  </ion-grid>


  <ion-footer>
    <ion-row>
      <ion-img class="logoRetec" src="../../../assets/imgs/logo-removebg-preview.png"></ion-img>
    </ion-row>
    <ion-row class="d-flex-align-center">
      <p>Versão {{ appVersion }} © 2022</p>
    </ion-row>
  </ion-footer>
</ion-content>
